
package org.teleal.cling.support.avtransport.event;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.teleal.cling.support.avtransport.event package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.teleal.cling.support.avtransport.event
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link CurrentTransportActions }
     * 
     */
    public CurrentTransportActions createCurrentTransportActions() {
        return new CurrentTransportActions();
    }

    /**
     * Create an instance of {@link Event }
     * 
     */
    public Event createEvent() {
        return new Event();
    }

    /**
     * Create an instance of {@link RecordStorageMedium }
     * 
     */
    public RecordStorageMedium createRecordStorageMedium() {
        return new RecordStorageMedium();
    }

    /**
     * Create an instance of {@link NextAVTransportURI }
     * 
     */
    public NextAVTransportURI createNextAVTransportURI() {
        return new NextAVTransportURI();
    }

    /**
     * Create an instance of {@link RecordMediumWriteStatus }
     * 
     */
    public RecordMediumWriteStatus createRecordMediumWriteStatus() {
        return new RecordMediumWriteStatus();
    }

    /**
     * Create an instance of {@link CurrentTrackMetadata }
     * 
     */
    public CurrentTrackMetadata createCurrentTrackMetadata() {
        return new CurrentTrackMetadata();
    }

    /**
     * Create an instance of {@link CurrentTrack }
     * 
     */
    public CurrentTrack createCurrentTrack() {
        return new CurrentTrack();
    }

    /**
     * Create an instance of {@link CurrentRecordQualityMode }
     * 
     */
    public CurrentRecordQualityMode createCurrentRecordQualityMode() {
        return new CurrentRecordQualityMode();
    }

    /**
     * Create an instance of {@link TransportPlaySpeed }
     * 
     */
    public TransportPlaySpeed createTransportPlaySpeed() {
        return new TransportPlaySpeed();
    }

    /**
     * Create an instance of {@link AVTransportURIMetaData }
     * 
     */
    public AVTransportURIMetaData createAVTransportURIMetaData() {
        return new AVTransportURIMetaData();
    }

    /**
     * Create an instance of {@link NumberOfTracks }
     * 
     */
    public NumberOfTracks createNumberOfTracks() {
        return new NumberOfTracks();
    }

    /**
     * Create an instance of {@link CurrentMediaDuration }
     * 
     */
    public CurrentMediaDuration createCurrentMediaDuration() {
        return new CurrentMediaDuration();
    }

    /**
     * Create an instance of {@link PossibleRecordQualityMode }
     * 
     */
    public PossibleRecordQualityMode createPossibleRecordQualityMode() {
        return new PossibleRecordQualityMode();
    }

    /**
     * Create an instance of {@link PossiblePlaybackStorageMedia }
     * 
     */
    public PossiblePlaybackStorageMedia createPossiblePlaybackStorageMedia() {
        return new PossiblePlaybackStorageMedia();
    }

    /**
     * Create an instance of {@link CurrentTrackDuration }
     * 
     */
    public CurrentTrackDuration createCurrentTrackDuration() {
        return new CurrentTrackDuration();
    }

    /**
     * Create an instance of {@link CurrentPlayMode }
     * 
     */
    public CurrentPlayMode createCurrentPlayMode() {
        return new CurrentPlayMode();
    }

    /**
     * Create an instance of {@link Instance }
     * 
     */
    public Instance createInstance() {
        return new Instance();
    }

    /**
     * Create an instance of {@link AVTransportURI }
     * 
     */
    public AVTransportURI createAVTransportURI() {
        return new AVTransportURI();
    }

    /**
     * Create an instance of {@link TransportStatus }
     * 
     */
    public TransportStatus createTransportStatus() {
        return new TransportStatus();
    }

    /**
     * Create an instance of {@link PlaybackStorageMedium }
     * 
     */
    public PlaybackStorageMedium createPlaybackStorageMedium() {
        return new PlaybackStorageMedium();
    }

    /**
     * Create an instance of {@link NextAVTransportURIMetaData }
     * 
     */
    public NextAVTransportURIMetaData createNextAVTransportURIMetaData() {
        return new NextAVTransportURIMetaData();
    }

    /**
     * Create an instance of {@link PossibleRecordStorageMedia }
     * 
     */
    public PossibleRecordStorageMedia createPossibleRecordStorageMedia() {
        return new PossibleRecordStorageMedia();
    }

    /**
     * Create an instance of {@link TransportState }
     * 
     */
    public TransportState createTransportState() {
        return new TransportState();
    }

    /**
     * Create an instance of {@link CurrentTrackURI }
     * 
     */
    public CurrentTrackURI createCurrentTrackURI() {
        return new CurrentTrackURI();
    }

}
